net.sf.statcvs.reports

## Class AbstractLocTableReport

- java.lang.Object
- - net.sf.statcvs.reports.AbstractLocTableReport

Direct Known Subclasses:
  AuthorsForDirectoryTableReport, DevelopersTableReport, DirectoriesForAuthorTableReport, TopDevelopersTableReport

    public abstract class AbstractLocTableReport
    extends java.lang.Object

Convenience superclass for table reports related to authors and directories. Contains methods to calculate some common stuff for these tables.

Version:
  $Id: AbstractLocTableReport.java,v 1.12 2008/04/02 11:22:15 benoitx Exp $
Author:
  Lukasz Pekacki

### Field Summary

Fields
`static int` `SORT_BY_LINES` Sort the authors table by lines of code
`static int` `SORT_BY_NAME` Sort the authors table by name

### Constructor Summary

Constructors
Constructor and Description
`AbstractLocTableReport(ReportConfig config)` Constructor

### Method Summary

Methods
`protected void` `calculateChangesAndLinesPerDeveloper(java.util.Collection revs)`
`protected void` `calculateChangesAndLinesPerDirectory(java.util.Collection revisions)`
`protected Table` `createChangesAndLinesTable(GenericColumn keys, GenericColumn keys2, java.lang.String summary)`
`protected IntegerMap` `getChangesMap()`
`protected Repository` `getContent()`
`int` `getDeveloperCount()`
`protected IntegerMap` `getLinesMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SORT_BY_NAME

    public static final int SORT_BY_NAME

Sort the authors table by name

See Also:
  Constant Field Values

#### SORT_BY_LINES

    public static final int SORT_BY_LINES

Sort the authors table by lines of code

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractLocTableReport

    public AbstractLocTableReport(ReportConfig config)

Constructor

Parameters:
  `content` - render table on specified content

### Method Detail

#### calculateChangesAndLinesPerDeveloper

    protected void calculateChangesAndLinesPerDeveloper(java.util.Collection revs)

#### calculateChangesAndLinesPerDirectory

    protected void calculateChangesAndLinesPerDirectory(java.util.Collection revisions)

#### createChangesAndLinesTable

    protected Table createChangesAndLinesTable(GenericColumn keys,
                                   GenericColumn keys2,
                                   java.lang.String summary)

#### getContent

    protected Repository getContent()

#### getChangesMap

    protected IntegerMap getChangesMap()

#### getLinesMap

    protected IntegerMap getLinesMap()

#### getDeveloperCount

    public int getDeveloperCount()